2006-06-13  Kevin Ryde  <user42@zip.com.au>

	* srfi-9.scm (define-record-type): In accessor and modifier procedures
	generated, check that the record is the right type and throw an error
	if not, as per srfi-9 spec.  Previously a different record type
	resulted in #f from an accessor and silently doing nothing in
	modifier.

2005-10-14  Rob Browning  <rlb@defaultvalue.org>

	* srfi-13.c:
	(scm_string_any, scm_string_every, scm_string_to_listS)
	(scm_string_trim, scm_string_trim_right)
	(scm_string_trim_right, scm_string_trim_both)
	(scm_string_compare, scm_string_compare_ci, scm_string_eq)
	(scm_string_neq, scm_string_lt, scm_string_gt)
	(scm_string_le, scm_string_ge, scm_string_ci_eq)
	(scm_string_ci_neq, scm_string_ci_lt, scm_string_ci_gt)
	(scm_string_ci_le, scm_string_ci_ge, scm_string_indexS)
	(scm_string_index_right, scm_string_skip)
	(scm_string_skip_right, scm_string_count, scm_string_map)
	(scm_string_map_x, scm_string_fold, scm_string_fold_right)
	(scm_string_for_each, scm_string_filter, scm_string_delete): Fix
	char vs unsigned char mismatches in various function calls.  For
	the most part, this means adding a char * alias to existing
	unsigned char * for calls to SCM_VALIDATE_SUBSTRING_SPEC_COPY
	which won't accept a simple coercion and requires a char *.  There
	were also some calls to scm_mem2string() and SCM_STRING_CHARS()
	that needed to be fixed.
	
2005-08-19  Kevin Ryde  <user42@zip.com.au>

	* srfi-19.scm (priv:leap-second-table): Add new 2005 leap second.

2005-05-22  Marius Vollmer  <mvo@zagadka.de>

	* srfi-13.c: (scm_string_any, scm_string_every,
	scm_string_to_listS, scm_string_trim, scm_string_trim_right,
	scm_string_trim_both, scm_string_compare, scm_string_compare_ci,
	scm_string_eq, scm_string_neq, scm_string_lt, scm_string_gt,
	scm_string_le, scm_string_ge, scm_string_ci_eq, scm_string_ci_neq,
	scm_string_ci_lt, scm_string_ci_gt, scm_string_ci_le,
	scm_string_ci_ge, scm_string_indexS, scm_string_index_right,
	scm_string_skip, scm_string_skip_right, scm_string_count,
	scm_string_map, scm_string_map_x, scm_string_fold,
	scm_string_fold_right, scm_string_for_each, scm_string_filter,
	scm_string_delete): Use "unsigned char" instead of "char" so that
	non-ASCII characters can be dealt with.  Thanks to Alexey Voinov!

2005-04-02  Kevin Ryde  <user42@zip.com.au>

	* srfi-1.scm (lset-union): Rewrite to accumulate result by consing in
	the order specified by the SRFI.

2005-03-18  Kevin Ryde  <user42@zip.com.au>

	* srfi-17.scm: Put "export" at the end of the file for redefined core
	procedures, to avoid deprecation warnings about re-exporting with
	export.  Reported by Alan Grover.

2005-02-18  Kevin Ryde  <user42@zip.com.au>

	* srfi-1.scm (lset-adjoin): Revert change using `list' not `acc', the
	spec is not quite clear, but reference code uses acc, so do that.
	
2005-02-12  Kevin Ryde  <user42@zip.com.au>

	* srfi-1.scm (reduce, reduce-right): Don't call f with ridentity, use
	it only if lst is empty, per srfi and intended optimization reduce
	represents over fold.

2005-02-04  Kevin Ryde  <user42@zip.com.au>

	* srfi-1.scm (list=): Correction to arguments passed to given elt=,
	spec is (elt= e[i] e[i+1]) for lists i and i+1, previously the first
	arg was always from list 0 not list i.

2005-01-29  Kevin Ryde  <user42@zip.com.au>

	* srfi-1.scm (lset-adjoin): Actually use the given `=' procedure.
	Test membership only on the given `list', not `acc', as per the spec.

2005-01-28  Kevin Ryde  <user42@zip.com.au>

	* srfi-1.scm (lset=): Correction to pred call arg order, srfi spec is
	(= e[i] e[i+1]), but had some calls the other way around.

2005-01-24  Kevin Ryde  <user42@zip.com.au>

	* srfi-1.scm (lset=): Allow no list arguments, per srfi spec example.

2005-01-12  Kevin Ryde  <user42@zip.com.au>

	* srfi-39.scm (current-input-port, current-output-port): Parameter
	replacements for core functions, per SRFI spec.
	(current-error-port): The same, for consistency.

2004-12-14  Kevin Ryde  <user42@zip.com.au>

	* srfi-13.scm, srfi-13.c (string-any, string-every): Use a scheme
	wrapper around the C code so for the final call to the predicate
	procedure is a tail call, per SRFI-13 spec.

2004-12-06  Kevin Ryde  <user42@zip.com.au>

	* srfi-1.scm (alist-copy, alist-delete, break, delete,
	delete-duplicates, map, map!, partition, span): Change to
	tail-recursive forms.

	* srfi-1.scm (delete-duplicates): Remove unused extra copy of this
	routine.

	* srfi-1.scm (alist-delete): Correction to equality proc call argument
	order, spec is for given KEY param first.

2004-12-05  Kevin Ryde  <user42@zip.com.au>

	* srfi-1.scm (count, filter-map): Change to a tail-recursive form.
	(append-map, append-map!): Rewrite as simple "apply append map" forms,
	for tail recursiveness.

2004-11-11  Rob Browning  <rlb@defaultvalue.org>

	* Makefile.am (srfi_DATA): add srfi-39.scm.

2004-11-04  Marius Vollmer  <marius.vollmer@uni-dortmund.de>

	* srfi-4.c (make_uvec): Use ((size_t)-1) instead of SIZE_MAX, for
	better portability.

2004-10-26  Marius Vollmer  <marius.vollmer@uni-dortmund.de>

	* srfi-4.c (uvec_equalp): Bugfix; multiply length with type size
	to get the correct number of bytes to compare with memcmp.

2004-09-20  Rob Browning  <rlb@defaultvalue.org>

	* srfi-4.c: Update copyright notice.

2004-08-29  Rob Browning  <rlb@defaultvalue.org>

	* srfi-4.c (s_scm_u32vector_set_x): fix typo in SCM_ASSERT_RANGE call.

2004-08-26  Kevin Ryde  <user42@zip.com.au>

	* srfi-31.scm (rec): Add missing `error' to else clause.

2004-08-15  Marius Vollmer  <mvo@zagadka.de>

	* srfi-39.scm: New, from Jose A Ortega Ruiz.  Thanks!

2004-08-14  Kevin Ryde  <user42@zip.com.au>

	* srfi-13.c (scm_string_any, scm_string_every): Add support for char
	and charset as predicates, per SRFI-13 spec.

2004-08-07  Rob Browning  <rlb@defaultvalue.org>

	* srfi-4.c: major overhaul -- essentially all functions affected.
	Changes fix various type related issues, including 64-bit print
	problems.  Uniform vector lengths are now officially a size_t
	stored in a cell.
	(VALIDATE_UVEC, RANGE_CHECK_AND_COPY_UVEC_INDEX): new macros.
	(print_int64, print_uint64, print_uint32): new helper functions.
	(uvec_print): reworked to use a union.
	(uvec_equalp): new function.
	(make_uvec): reworked -- now checks for possible overflow.
	(uvec_length): new helper function.

	(scm_u8vector_p, scm_make_u8vector, scm_u8vector): reworked.
	(scm_u8vector_length): reworked.
	(scm_u8vector_ref, scm_u8vector_set_x): reworked.
	(scm_u8vector_to_list, scm_list_to_u8vector): reworked.

	(scm_s8vector_p, scm_make_s8vector, scm_s8vector): reworked.
	(scm_s8vector_length): reworked.
	(scm_s8vector_ref, scm_s8vector_set_x): reworked.
	(scm_s8vector_to_list, scm_list_to_s8vector): reworked.

	(scm_u16vector_p, scm_make_u16vector, scm_u16vector): reworked.
	(scm_u16vector_length): reworked.
	(scm_u16vector_ref, scm_u16vector_set_x): reworked.
	(scm_u16vector_to_list, scm_list_to_u16vector): reworked.

	(scm_s16vector_p, scm_make_s16vector, scm_s16vector): reworked.
	(scm_s16vector_length): reworked.
	(scm_s16vector_ref, scm_s16vector_set_x): reworked.
	(scm_s16vector_to_list, scm_list_to_s16vector): reworked.

	(scm_u32vector_p, scm_make_u32vector, scm_u32vector): reworked.
	(scm_u32vector_length): reworked.
	(scm_u32vector_ref, scm_u32vector_set_x): reworked.
	(scm_u32vector_to_list, scm_list_to_u32vector): reworked.

	(scm_s32vector_p, scm_make_s32vector, scm_s32vector): reworked.
	(scm_s32vector_length): reworked.
	(scm_s32vector_ref, scm_s32vector_set_x): reworked.
	(scm_s32vector_to_list, scm_list_to_s32vector): reworked.

	(scm_u64vector_p, scm_make_u64vector, scm_u64vector): reworked.
	(scm_u64vector_length): reworked.
	(scm_u64vector_ref, scm_u64vector_set_x): reworked.
	(scm_u64vector_to_list, scm_list_to_u64vector): reworked.

	(scm_s64vector_p, scm_make_s64vector, scm_s64vector): reworked.
	(scm_s64vector_length): reworked.
	(scm_s64vector_ref, scm_s64vector_set_x): reworked.
	(scm_s64vector_to_list, scm_list_to_s64vector): reworked.

	(scm_init_srfi_4): added check to make sure a size_t fits in a cell.
	
2004-08-02  Kevin Ryde  <user42@zip.com.au>

	* srfi-13.c (scm_string_every): Correction to initial "res" value,
	return should be #t for an empty string.  Reported by Andreas Vögele.

2004-05-11  Kevin Ryde  <user42@zip.com.au>

	* srfi-13.c (scm_string_trim, scm_string_trim_right,
	scm_string_trim_both): Cast to unsigned char for isspace.

2004-04-24  Kevin Ryde  <user42@zip.com.au>

	* srfi-1.scm (list-copy): New function, allowing improper lists as per
	SRFI-1 spec, which the core list-copy doesn't do.

2004-04-18  Kevin Ryde  <user42@zip.com.au>

	* srfi-11.scm (let-values): Use gensym instead of gentemp, to avoid
	deprecation warning from the latter.  Reported by Andreas Rottmann.
	(Same change made by Marius in the cvs head.)

2004-02-01  Rob Browning  <rlb@defaultvalue.org>

	* srfi-31.scm: new file.

	* Makefile.am (srfi_DATA): add srfi-31.scm.

2003-08-26  Kevin Ryde  <user42@zip.com.au>

	* srfi-19.scm (date-week-number): Correction, day of week starting
	week applied was off by one.

2003-05-16  Kevin Ryde  <user42@zip.com.au>

	* srfi-1.scm (delete): Fix predicate arg order to match srfi-1 spec.

2003-02-01  Rob Browning  <rlb@defaultvalue.org>

	* Makefile.am: move built files to nodist_ targets so they don't
	end up in the dist tarfile.
	(libguile_srfi_srfi_4_v_@LIBGUILE_SRFI_SRFI_4_MAJOR@_la_SOURCES):
	remove srfi-4.x.
	(nodist_libguile_srfi_srfi_4_v_@LIBGUILE_SRFI_SRFI_4_MAJOR@_la_SOURCES): add srfi-4.x.
	(libguile_srfi_srfi_13_14_v_@LIBGUILE_SRFI_SRFI_13_14_MAJOR@_la_SOURCES): remove srfi-13.x srfi-14.x.
	(nodist_libguile_srfi_srfi_13_14_v_@LIBGUILE_SRFI_SRFI_13_14_MAJOR@_la_SOURCES): add srfi-13.x srfi-14.x.

2002-12-08  Rob Browning  <rlb@defaultvalue.org>

	* Makefile.am (srfidir): VERSION -> GUILE_EFFECTIVE_VERSION.

2002-10-09  Rob Browning  <rlb@defaultvalue.org>

	* Makefile.am (srfiinclude_HEADERS, srfiincludedir): install the
	srfi headers into guile/srfi/.

2002-07-20  Rob Browning  <rlb@defaultvalue.org>

	* srfi-4.scm: load libguile-srfi-srfi-4-v-MAJOR now.

	* srfi-14.scm: load libguile-srfi-srfi-13-14-v-MAJOR now.

	* srfi-13.scm: load libguile-srfi-srfi-13-14-v-MAJOR now.

	* Makefile.am (lib_LTLIBRARIES): just name dlsymable libs with
	their major version number, not the whole version.  That should be
	sufficient for now.

2002-05-06  Marius Vollmer  <mvo@zagadka.ping.de>

	* srfi-14.h (SCM_CHARSET_GET): Cast IDX to unsigned char so that
	it works for 8-bit characters.  Thanks to Matthias Koeppe!  No,
	make that "Köppe".

2002-04-26  Marius Vollmer  <mvo@zagadka.ping.de>

	* srfi-13.c (s_scm_string_tokenize): Only take character sets as
	the second arg.  Collect characters belonging to this set into
	tokens (as specified by the SRFI), instead of splitting at these
	characters.  Default to an equivalent of char-set:graphic instead
	of everything-but-whitespace.  Thanks to Matthias Koeppe!

2002-04-09  Rob Browning  <rlb@defaultvalue.org>

	* srfi-4.scm:  hack around dynamic-link problems by
	using painfully explicit lib names.

	* srfi-13.scm:  hack around dynamic-link problems by
	using painfully explicit lib names.

	* srfi-14.scm:  hack around dynamic-link problems by
	using painfully explicit lib names.

	* Makefile.am: hack around dynamic-link problems by
	using painfully explicit lib names.

2002-04-01  Rob Browning  <rlb@defaultvalue.org>

	* .cvsignore: add *.c.clean.c.

2002-03-27  Thien-Thi Nguyen  <ttn@giblet.glug.org>

	* srfi-1.scm, srfi-13.scm, srfi-17.scm, srfi-4.scm, srfi-9.scm,
	srfi-10.scm, srfi-14.scm, srfi-19.scm, srfi-6.scm, srfi-11.scm,
	srfi-16.scm, srfi-2.scm, srfi-8.scm: Update copyright.
	Point to manual in commentary; nfc.

2002-03-20  Marius Vollmer  <mvo@zagadka.ping.de>

	* Makefile.am (.c.x): Pass "-o $@" to guile-snarf.

2002-03-13  Thien-Thi Nguyen  <ttn@giblet.glug.org>

	* srfi-13.c, srfi-14.c, srfi-4.c:
	Retire inclusion guard macro SCM_MAGIC_SNARFER.

	* Makefile.am (snarfcppopts): New var.
	(.c.x): Use $(snarfcppopts). Rework guile-snarf usage.

2002-03-11  Marius Vollmer  <mvo@zagadka.ping.de>

	* srfi-13.c (string_titlecase_x): Treat characters as unsigned so
	that 8-bit chars work.  Thanks to David Pirotte!

2002-02-24  Rob Browning  <rlb@defaultvalue.org>

	* Makefile.am (libguile_srfi_srfi_4_la_LDFLAGS): use
	@LIBGUILE_SRFI_SRFI_4_INTERFACE@.
	(libguile_srfi_srfi_13_14_la_LDFLAGS): use
	@LIBGUILE_SRFI_SRFI_13_14_INTERFACE@.

2002-02-23  Neil Jerram  <neil@ossau.uklinux.net>

	* srfi-19.scm (priv:month-assoc): Correct numbers so that they
	match the expectations of priv:year-day.

2002-02-22  Neil Jerram  <neil@ossau.uklinux.net>

	* srfi-19.scm (priv:year-day): Index into priv:month-assoc using
	month number, not day number.  (Thanks to Sébastien de Menten de
	Horne for reporting the problem.)

2002-02-08  Thien-Thi Nguyen  <ttn@giblet.glug.org>

	* Makefile.am (AUTOMAKE_OPTIONS): Replace "foreign" with "gnu".

2002-01-21  Thien-Thi Nguyen  <ttn@giblet.glug.org>

	* srfi-1.scm (count1, take-while): Rewrite to be tail-recursive.
	Thanks to Panagiotis Vossos.

2002-01-21  Thien-Thi Nguyen  <ttn@giblet.glug.org>

	* srfi-1.scm (check-arg-type, non-negative-integer?): a couple of new
	internal definitions.
	(list-tabulate, iota): check for bad arguments that otherwise
	give weird output.
	(filter): replaced with a tail-recursive version.
	(remove): implement using filter, to make it tail-recursive.

2002-01-20  Thien-Thi Nguyen  <ttn@giblet.glug.org>

	* srfi-1.scm (map1): Rewrite to be tail-recursive.
	Thanks to Panagiotis Vossos for the bug report.

2001-11-13  Neil Jerram  <neil@ossau.uklinux.net>

	* srfi-13.c (scm_string_unfold, scm_string_unfold_right),
	srfi-14.c (scm_char_set_unfold, scm_char_set_unfold_x): Remove
	superfluous whitespace from end of docstring lines.

2001-11-06  Thien-Thi Nguyen  <ttn@glug.org>

	* srfi-19.scm (time-monotonic->time-monotonic): Spurious;
	remove from exports.

2001-10-31  Thien-Thi Nguyen  <ttn@glug.org>

	* srfi-14.c (scm_string_to_char_set, scm_string_to_char_set_x):
	Use `size_t' instead of deprecated `scm_sizet'.
	Thanks to Ian Grant.

2001-10-18  Mikael Djurfeldt  <mdj@linnaeus>

	* srfi-2.scm, srfi-4.scm, srfi-8.scm, srfi-9.scm, srfi-10.scm,
	srfi-11.scm, srfi-14.scm, srfi-16.scm: Move module the system
	directives `export', `export-syntax', `re-export' and
	`re-export-syntax' into the `define-module' form.  This is the
	recommended way of exporting bindings.

2001-09-22  Mikael Djurfeldt  <mdj@linnaeus>

	* srfi-19.scm (priv:split-real): Inserted missing call to
	inexact->exact.

2001-09-21  Rob Browning  <rlb@defaultvalue.org>

	* srfi-14.h (SCM_CHARSET_GET): need 1L, not just 1 in "<<".

	* srfi-14.c (SCM_CHARSET_SET): need 1L, not just 1 in "<<".
	(scm_char_set_hash): val needs to be long, not just unsigned.
	(scm_char_set): need 1L, not just 1 in "<<".
	(scm_list_to_char_set): need 1L, not just 1 in "<<".
	(scm_list_to_char_set_x): need 1L, not just 1 in "<<".
	(scm_list_to_char_set_x): FUNC_NAME was wrong - added a _x.
	(scm_string_to_char_set): string length var needed to be
	scm_sizet, not int.
	(scm_string_to_char_set): need 1L, not just 1 in "<<".
	(scm_string_to_char_set_x): string length var needed to be
	scm_sizet, not int.
	(scm_string_to_char_set_x): need 1L, not just 1 in "<<".
	(scm_char_set_filter): need 1L, not just 1 in "<<".
	(scm_char_set_filter_x): need 1L, not just 1 in "<<".
	(scm_ucs_range_to_char_set): need 1L, not just 1 in "<<".
	(scm_ucs_range_to_char_set_x): need 1L, not just 1 in "<<".
	(scm_char_set_adjoin): need 1L, not just 1 in "<<".
	(scm_char_set_delete): need 1L, not just 1 in "<<".
	(scm_char_set_adjoin_x): need 1L, not just 1 in "<<".
	(scm_char_set_delete_x): need 1L, not just 1 in "<<".

2001-08-25  Thien-Thi Nguyen  <ttn@revel.glug.org>

	* srfi-19.scm (add-duration): Fix bug: Call `add-duration!' w/
	two args.  Thanks to Alex Shinn.

2001-08-24  Thien-Thi Nguyen  <ttn@revel.glug.org>

	* srfi-13.h (scm_string_map, scm_string_map_x,
	scm_string_for_each): Reverse order of first two args.
	(scm_string_for_each_index): New proc.

	* srfi-13.c (scm_string_for_each): Reverse order of first 2 args.
	(scm_string_for_each_index): New func.

	* srfi-13.scm (string-for-each-index): New exported proc.

	Thanks to Alex Shinn.

2001-08-23  Thien-Thi Nguyen  <ttn@revel.glug.org>

	* srfi-13.c (string-map): Swapped order of string and proc args to
	conform with the srfi.  (Thanks to Alex Shinn.)

2001-07-31  Gary Houston  <ghouston@arglist.com>

	* srfi-14.c (scm_char_set_diff_plus_intersection): wasn't correctly
	accounting for the (char-set-union cs2...) in the spec.  i.e.,
	(char-set-diff+intersection a) -> copy-of-a, empty-set
	and the following are equivalent:
	(char-set-diff+intersection a (char-set #\a) (char-set #\b))
	(char-set-diff+intersection a (char-set #\a #\b))

	(scm_char_set_xor_x): disabled the side-effecting code, since it
	gives inconsistent results to scm_char_set_xor for the case
	(char-set-xor! a a a).

	(scm_char_set_diff_plus_intersection_x): added cs2 argument, since
	two arguments are compulsory in final spec.  also similar changes
	as for scm_char_set_diff_plus_intersection.
	* srfi-14.h (scm_char_set_diff_plus_intersection_x): added cs2.

2001-07-22  Gary Houston  <ghouston@arglist.com>

	* srfi-14.c (scm_char_set_intersection, scm_char_set_xor): remove
	the compulsory cs1 arguments: all args are optional in final spec.

	* srfi-14.h: declarations updated.

2001-07-18  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* srfi-11.scm, srfi-8.scm: Update copyright notice.

2001-07-17  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* srfi-14.c: Okay.  Now I got it.  Really.  This time it's fixed.
	Guaranteed. (Maybe)

	* srfi-19.scm: Define `current-time' before exporting it.

2001-07-17  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* srfi-14.c: Fix for bug caused by brain-malfunctioning on my
	side.  Bit sets were handled wrong because I couldn't tell bit
	counts from byte counts.  Also, the bit array should be 256 / 8
	bytes long.  Thank you, Gary!

	Removed unnecessary protoype for scm_char_set_copy.

2001-07-16  Gary Houston  <ghouston@arglist.com>

	* srfi-14.scm: export string->char-set!, not string-char-set!.

	* srfi-14.c (scm_char_set_ref, scm_char_set_cursor_next,
	scm_end_of_char_set_p): reject negative	cursor values.
	(scm_list_to_char_set, scm_list_to_char_set_x): when reporting
	type error in list component, omit the position (was always 1).

2001-07-16  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	(scm_char_set_map): Bug-fix: char-set-map was modifying the
	argument instead of the return value.

2001-07-16  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* srfi-14.c: Allocate correct memory size for charsets (32 bytes),
	use this value for initializing and comparing charsets.
	(scm_char_set_hash): Use ``better'' hash algorithm which produces
	more values.

2001-07-15  Gary Houston  <ghouston@arglist.com>

	* srfi-14.c (scm_char_set_hash): recognise 0 instead of #f in the
	opt arg to give default bound, as in final spec.  don't allow
	negative bounds.
	(scm_char_set_hash): bug fix: was overrunning the buffer and
	calculating based on garbage.
	(scm_char_set_eq, scm_char_set_leq): fix argument number in error
	reporting: wasn't incremented due to macro coding.
	(scm_char_set): report argument number in error reporting: was
	hard coded to 1.  remove a couple of local variables.

2001-07-13  Marius Vollmer  <mvo@zagadka.ping.de>

	* srfi-2.scm (and-let*): Use `re-export-syntax' instead of
	`export-syntax'.

2001-07-11  Gary Houston  <ghouston@arglist.com>

	* srfi-14.c (s_scm_char_set_eq): bug fix: (char-set=) should
	return #t instead of giving wrong-number-of-arguments . take a
	single "rest" argument.  use memcmp instead of a loop to compare
	the values.
	(s_scm_char_set_leq): similarly, (char-set<=) should return #t.
	take a single "rest" argument.
	srfi-14.h: update the declarations.

2001-07-09  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* README: Cleanup.

2001-07-06  Gary Houston  <ghouston@arglist.com>

	* srfi-1.scm (iota, map, for-each, list-index, member, delete,
	delete!, assoc): roll back the previous change.  instead place
	dummy definitions in a deprecated block at the beginning as in
	srfi-13.scm.

2001-07-06  Rob Browning  <rlb@defaultvalue.org>

	* srfi-19.scm (priv:locale-reader): don't need open-output-string.

2001-07-03  Gary Houston  <ghouston@arglist.com>

	* srfi-1.scm (iota, map, for-each, list-index, member, delete,
	delete!, assoc): don't export until the new bindings have been
	created.  otherwise "export" thinks they are being re-exported and
	a deprecation warning is produced.
	(map-in-order): defined and exported, to support lists of unequal
	length.

2001-07-03  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* srfi-1.scm (list-tabulate): Do not go into infinite loop for
	invalid arguments.  Same fix for several other procedures (do not
	use zero?, use <= 0).

2001-07-02  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* srfi-1.scm: Replaced calls to `map' in several procedures to
	calls to `map1'.
	(map, for-each): New procedures, extended from R5RS.

2001-06-28  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* srfi-4.c: Minor cleanups.

	* srfi-14.c (scm_char_set_fold, scm_char_set_unfold)
	(scm_char_set_unfold_x, scm_char_set_for_each)
	(scm_char_set_map, scm_char_set_filter)
	(scm_char_set_filter_x, scm_char_set_count)
	(scm_char_set_every, scm_char_set_any): Replace calls to
	scm_apply() with the corresponding scm_call_N() functions.

	* srfi-14.c (scm_char_set_ref, scm_char_set_cursor_next)
	(scm_char_set_unfold, scm_char_set_unfold_x)
	(scm_char_set_map, scm_char_set_diff_plus_intersection)
	(scm_char_set_diff_plus_intersection_x): Replace deprecated macros
	SCM_LISTN with calls to scm_list_N().

	* srfi-13.c (scm_string_tabulate, scm_string_map)
	(scm_string_map_x, scm_string_unfold)
	(scm_string_unfold_right): Replace deprecated macros SCM_LISTN
	with calls to scm_list_N().

	* srfi-13.c (scm_string_any, scm_string_every),
	(scm_string_tabulate, scm_string_trim),
	(scm_string_trim_right, scm_string_trim_both),
	(scm_string_compare, scm_string_compare_ci),
	(scm_string_indexS, scm_string_index_right),
	(scm_string_skip, scm_string_skip_right, scm_string_count),
	(scm_string_map, scm_string_map_x, scm_string_fold),
	(scm_string_fold_right, scm_string_unfold),
	(scm_string_unfold_right, scm_string_for_each),
	(scm_string_filter, scm_string_delete): Replace calls to
	scm_apply() with the corresponding scm_call_N() functions.

2001-06-27  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* Makefile.am: Added SRFI-4 files in various places.

	* srfi-4.c, srfi-4.h, srfi-4.scm: New files implementing SRFI-4.

2001-06-26  Dirk Herrmann  <D.Herrmann@tu-bs.de>

	* srfi-13.c (scm_string_copyS, scm_string_take, scm_string_drop,
	scm_string_take_right, scm_string_drop_right, scm_string_trim,
	scm_string_trim_right, scm_string_trim_both, scm_string_tokenize):
	Use scm_mem2string instead of scm_makfromstr.

	(scm_reverse_list_to_string, string_titlecase_x):  Prefer
	!SCM_<pred> over SCM_N<pred>.

2001-06-25  Marius Vollmer  <mvo@zagadka.ping.de>

	* srfi-8.scm: Use `re-export-syntax' to correctly re-export
	`receive'.

2001-06-18  Matthias Koeppe  <mkoeppe@mail.math.uni-magdeburg.de>

        The SRFI-19 implementation was completely broken.  Already the
	reference implementation did not handle DST and time zones
	properly and relied on non-R5RS-isms like passing reals to
	`quotient'.  For Guile, some additional fixes were needed because
	of the incomplete numeric tower implementation.  See also
	srfi-19.test.

	* srfi-19.scm (date-zone-offset): Fixed typo in export clause.
	(add-duration): Renamed from priv:add-duration.
	(priv:time-normalize!): Handle fractional nanoseconds; remove
	duplicate definition.
	(priv:current-time-tai): Fixed typo.
	(time=?, time<=?): Fixed typos.
	(time-tai->time-utc, time-utc->time-tai,
	time-utc->time-monotonic): Use make-time-unnormalized instead of
	make-time when uninitialized time fields are used.
	(set-date-nanosecond!, set-date-second!, set-date-minute!,
	set-date-hour!, set-date-day!, set-date-month!, set-date-year!,
	set-date-zone-offset!): Define.
	(priv:local-tz-offset): Take an extra argument in order to handle
	DST effects.
	(time-utc->date, time-tai->date, time-monotonic->date): Handle the
	changed signature of priv:local-tz-offset. Don't pass non-integer
	arguments to quotient (non-R5RS, not supported by Guile).
	(date->time-utc): Ensure that seconds in a date structure are
	always exact integers.  Handle DST properly.
	(current-date, julian-day->date, modified-julian-day->date):
	Handle the changed signature of priv:local-tz-offset.
	(julian-day->time-utc): Reverted earlier inexact->exact hack;
	make-time now handles inexact arguments.
	(priv:locale-print-time-zone): At least print the numerical time
	zone.
	(priv:integer-reader): Fixed named let iteration.
	(priv:read-directives): Use set-date-month! instead of
	priv:set-date-month! etc.
	(string->date): Handle DST properly.

2001-06-14  Marius Vollmer  <mvo@zagadka.ping.de>

	* srfi-13.scm: Prevent `export' from re-exporting core bindings.

2001-06-07  Dirk Herrmann  <D.Herrmann@tu-bs.de>

	* srfi-14.c (charset_print): Mark unused parameters with
	SCM_UNUSED.

2001-06-07  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* srfi-1.scm (fold, fold-pair): Fixed a buggy call to apply.
	(delete-duplicates): Now the first occurrence of an element is
	retained, as required.
	(member, assoc): Fixed wrong order of equality predicate
	application.

2001-06-06  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* README: Update.

	* srfi-1.scm: New file.

2001-06-04  Marius Vollmer  <mvo@zagadka.ping.de>

	Added exception notice to all files.

2001-05-31  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* srfi-14.scm, srfi-13.scm: Use `load-extension' for loading the
	shared library.

2001-05-31  Michael Livshin  <mlivshin@bigfoot.com>

	* Makefile.am (MKDEP): copied from libguile/Makefile.am, just in
	case.
	(CLEANFILES): added *.x (and removed from DISTCLEANFILES)

2001-05-28  Michael Livshin  <mlivshin@bigfoot.com>

	* srfi-19.scm: removed a stray open parenthesis. (thanks to
	Matthias Köppe for the report).

2001-05-23  Rob Browning  <rlb@cs.utexas.edu>

	* srfi-19.scm (:optional): renamed to optional to avoid reader
	keywords conflict.  Time passes... Removed :optional altogether
	and just handle optional args directly.  Thanks to Matthias Koeppe
	for the report of this and the two bits below.
	(priv:decode-julian-day-number): add inexact->exact for truncate
	result.
	(time-utc->date): add inexact->exact and floor so quotient will
	work.

2001-05-22  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* README: Update, document available SRFIs.

2001-05-21  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* srfi-19.scm, srfi-17.scm, srfi-16.scm, srfi-14.scm, srfi-13.scm,
	srfi-11.scm, srfi-10.scm, srfi-9.scm, srfi-8.scm, srfi-6.scm,
	srfi-2.scm: Use `cond-expand-provide' for providing features to
	`cond-expand'.

2001-05-20  Marius Vollmer  <mvo@zagadka.ping.de>

	* srfi-14.c (scm_c_init_srfi_14): Added "int" to declaration of
	`initialized'.

2001-05-19  Marius Vollmer  <mvo@zagadka.ping.de>

	Avoid using module operations from C.

	* srfi-13.c (scm_init_srfi_13_14): Removed.
	* srfi-14.h, srfi-14.c (scm_c_init_srfi_14): New.  Contains
	initializations needed by C clients of srfi-14.
	(scm_init_srfi_13, scm_init_srfi_14): Call it.
	* srfi-13.scm: Call "scm_init_srfi_13" instead of
	"scm_init_srfi_13_14".
	* srfi-14.scm: Call "scm_init_srfi_14" instead of
	"scm_init_srfi_13_14".

2001-05-16  Rob Browning  <rlb@cs.utexas.edu>

	* srfi-19.scm (priv:integer-reader-exact): minor cleanups.

2001-05-14  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* Makefile.am (srfi_DATA): Added srfi-16.scm.

	* srfi-16.scm: New file.

2001-05-10  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* srfi-13.c (scm_string_delete): Logic was inversed for charset.
	Fixed.

2001-05-08  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* srfi-13.c (scm_string_copyS): Fixed nasty bug.

2001-05-05  Rob Browning  <rlb@cs.utexas.edu>

	* Makefile.am (srfi_DATA): added srfi-19.scm.

	* srfi-19.scm: New file - time/date SRFI.  Thanks to Will
	Fitzgerald.

2001-05-02  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* srfi-14.c, srfi-13.c: Added @bullet to various @itemize lists.

	* srfi-10.scm: Typo fix.

2001-05-02  Rob Browning  <rlb@cs.utexas.edu>

	* srfi-11.scm (let-values): fix (a b c . d) case.  Thanks Martin.

2001-05-02  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* Makefile.am (srfi_DATA): Added srfi-10.scm and srfi-17.scm.

	* srfi-10.scm: New file.

	* srfi-17.scm: New file, contributed by Matthias Koeppe.  Thanks a
	lot!
	Added `Commentary:' tag.

	* srfi-9.scm: Added `Commentary:' tag.

2001-04-27  Rob Browning  <rlb@cs.utexas.edu>

	* srfi-13.h
	(scm_reverse_string_concatenate): renamed to
	scm_string_concatentate_reverse.
	(scm_reverse_string_concatenate_shared): renamed to
	scm_string_concatenate_reverse_shared.

2001-04-27  Gary Houston  <ghouston@arglist.com>

	* srfi-13.c (scm_init_srfi_13), srfi-14.c (scm_init_srfi_14):
	add "srfi/" to lines including .x files so they can be found
	when build_dir != src_dir.

2001-04-27  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* Makefile.am (srfi_DATA): Added srfi-9.scm.

	* srfi-9.scm: New file.  Exports `define-record-type'.

2001-04-26  Rob Browning  <rlb@cs.utexas.edu>

	* Makefile.am (srfi_DATA): added srfi-6.scm.
	(srfi_DATA): added srfi-11.scm.
	(srfi_DATA): added srfi-8.scm.
	(srfi_DATA): added srfi-2.scm.

	* srfi-11.scm: new file - exports let-values and let*-values.

	* srfi-6.scm: new file - guile already has srfi-6 procedures
	loaded by default, so this is a dummy file right now.

	* srfi-8.scm: new file - exports receive.

	* srfi-2.scm: new file - just use/export (ice-9 and-let-star)

2001-04-26  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	Changed two procedure names to match final SRFI document.  Thanks
	to Rob Browning for spotting this.

	* srfi-13.scm (string-concatenate-reverse),
	(string-concatenate-reverse/shared): Rename from
	reverse-string-concatenate[/shared].

	* srfi-13.c (scm_string_concatenate_reverse_shared): Renamed from
	scm_reverse_string_concatenate_shared.
	(scm_string_concatenate_reverse): Renamed from
	scm_reverse_string_concatenate.

2001-04-25  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* configure.in, autogen.sh: Removed.

	* srfi-13.c (scm_string_replace): Take sizeof (char) into account
	when using memmove().

	* srfi-14.h: Added prototypes for all exported procedures..

	* srfi-13.c: Include srfi-13.h

	* srfi-13.h: New file containing the prototypes.

	* Makefile.am: Removed guile-srfi.texi and info_TEXINFOS variable.
	(libguile_srfi_srfi_13_14_la_SOURCES): Added srfi-14.h, so it gets
	distributed.
	(libguile_srfi_srfi_13_14_la_SOURCES): Added srfi-13.h.

2001-04-24  Neil Jerram  <neil@ossau.uklinux.net>

	* Makefile.am: Fixed "srf-14.x" typo.

2001-04-24  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* guile-srfi.texi: Removed, because merged with the GRM.

	* guile-srfi.texi: The docs are now up to date with the
	implementation and have new introductory material.

2001-04-23  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	Integrated the guile-srfi package into the Guile distribution.

	* srfi-13.c: All procedures so specified in the SRFI now accept
	character set arguments.

	* Makefile.am: Snarfed some variables from the guile-readline
	directory.

	* srfi-14.c, srfi-14.h: Add prefix SCM_ to exported macros.

	* srfi-13.scm, srfi-14.scm, srfi-13.c, srfi-14.c, srfi-14.h,
	configure.in, Makefile.am: Added FSF copyright and Guile license
	information.

	* srfi-13.c, srfi-14.c: Include srfi-14.h.
	(scm_init_srfi_13_14): Initialize the complete module, if not
	already done so.

	* srfi-14.h: New file.

	* srfi-13.scm, srfi-14.scm: Load new combined library.

	* Makefile.am: Build only one library,
	`libguile-srfi-srfi-13-14.la'

2001-04-04  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* guile-srfi.texi: Integrated the SRFI-14 documentation.

	* srfi-14.c, srfi-14.scm: Made the procedures and variables
	compliant to the final SRFI document.

	* Renamed the package to guile-srfi.

2001-04-03  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* NEWS: New section for 0.0.3.

	* configure.in, README, guile-srfi-13.texi: Bumped version number
	to 0.0.3.

	* Released version 0.0.2.

	* Makefile.am: Added rules for builing the SRFI-14 library.

	* srfi-14.c, srfi-14.scm: New files, implementing SRFI-14
	(character set library).

2001-03-27  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* README: Updated procedure and incompatibility list.

	* srfi-13.c (string_upcase_x, scm_string_upcase_xS),
	(scm_string_upcase, string_downcase_x, scm_string_downcase_xS),
	(scm_string_downcaseS, string_titlecase_x),
	(scm_string_titlecase_x, scm_string_titlecase),
	(scm_string_fill_xS, scm_string_copyS, scm_string_to_listS): New
	procedures.

	* srfi-13.scm: Export new case mapping procedures.

	* guile-srfi-13.texi (What cannot be done): Removed case mapping
	procedures from incompatibility list.
	(Case Mapping): New section for case mapping procedures.

2001-03-26  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* NEWS: New section for 0.0.2

	* configure.in, README, guile-srfi-13.texi: Bumbed version number
	to 0.0.2

	* Released version 0.0.1.

	* README: Made procedure list up-to-date.

	* guile-srfi-13.texi: Fixed typos, completed reference and added
	introductory blurb.

	* srfi-13.c, srfi-13.scm: Filled in the last missing pieces.

2001-03-22  Martin Grabmueller  <mgrabmue@cs.tu-berlin.de>

	* Started guile-srfi-13 package.  Files are copied from the
	guile-gdbm and slightly modified.
